Package it.ernytech.tdlib

## Class TdApi.InputInlineQueryResultArticle

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.InputInlineQueryResult
    - - it.ernytech.tdlib.TdApi.InputInlineQueryResultArticle

Enclosing class:
  TdApi

    public static class TdApi.InputInlineQueryResultArticle
    extends TdApi.InputInlineQueryResult

Represents a link to an article or web page.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `description` A short description of the result.
`boolean` `hideUrl` True, if the URL must be not shown.
`java.lang.String` `id` Unique identifier of the query result.
`TdApi.InputMessageContent` `inputMessageContent` The content of the message to be sent.
`TdApi.ReplyMarkup` `replyMarkup` The message reply markup.
`int` `thumbnailHeight` Thumbnail height, if known.
`java.lang.String` `thumbnailUrl` URL of the result thumbnail, if it exists.
`int` `thumbnailWidth` Thumbnail width, if known.
`java.lang.String` `title` Title of the result.
`java.lang.String` `url` URL of the result, if it exists.

### Constructor Summary

Constructors
`InputInlineQueryResultArticle()` Default constructor.
`InputInlineQueryResultArticle​(java.lang.String id, java.lang.String url, boolean hideUrl, java.lang.String title, java.lang.String description, java.lang.String thumbnailUrl, int thumbnailWidth, int thumbnailHeight, TdApi.ReplyMarkup replyMarkup, TdApi.InputMessageContent inputMessageContent)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### id

    public java.lang.String id

Unique identifier of the query result.

#### url

    public java.lang.String url

URL of the result, if it exists.

#### hideUrl

    public boolean hideUrl

True, if the URL must be not shown.

#### title

    public java.lang.String title

Title of the result.

#### description

    public java.lang.String description

A short description of the result.

#### thumbnailUrl

    public java.lang.String thumbnailUrl

URL of the result thumbnail, if it exists.

#### thumbnailWidth

    public int thumbnailWidth

Thumbnail width, if known.

#### thumbnailHeight

    public int thumbnailHeight

Thumbnail height, if known.

#### replyMarkup

    public TdApi.ReplyMarkup replyMarkup

The message reply markup. Must be of type replyMarkupInlineKeyboard or null.

#### inputMessageContent

    public TdApi.InputMessageContent inputMessageContent

The content of the message to be sent. Must be one of the following types: InputMessageText, InputMessageLocation, InputMessageVenue or InputMessageContact.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### InputInlineQueryResultArticle

    public InputInlineQueryResultArticle()

Default constructor.

#### InputInlineQueryResultArticle

    public InputInlineQueryResultArticle​(java.lang.String id,
                                         java.lang.String url,
                                         boolean hideUrl,
                                         java.lang.String title,
                                         java.lang.String description,
                                         java.lang.String thumbnailUrl,
                                         int thumbnailWidth,
                                         int thumbnailHeight,
                                         TdApi.ReplyMarkup replyMarkup,
                                         TdApi.InputMessageContent inputMessageContent)

Constructor for initialization of all fields.

Parameters:
  `id` - Unique identifier of the query result.
  `url` - URL of the result, if it exists.
  `hideUrl` - True, if the URL must be not shown.
  `title` - Title of the result.
  `description` - A short description of the result.
  `thumbnailUrl` - URL of the result thumbnail, if it exists.
  `thumbnailWidth` - Thumbnail width, if known.
  `thumbnailHeight` - Thumbnail height, if known.
  `replyMarkup` - The message reply markup. Must be of type replyMarkupInlineKeyboard or null.
  `inputMessageContent` - The content of the message to be sent. Must be one of the following types: InputMessageText, InputMessageLocation, InputMessageVenue or InputMessageContact.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR